Skip to main content
PUT
Set a user's attribute values

Authorizations

Authorization
string
header
required

Access token

Path Parameters

id
string
required

The user's id.

Body

application/json
Required array length: 1 - 50 elements

A value to set for one attribute, named by its attribute_id or its slug (one of the two). Shoppers can set visible, active custom attributes that aren't is_readonly.

attribute_id
string
required

The attribute's id.

value
required

The value, of the attribute's attribute_type, at most 4 KB as JSON. null, an empty string or only spaces removes it. [] and {} are values.

Response

OK

message
string
required
Example:

"Attributes updated successfully."

success
boolean
required
content
object
required